Method: projects.locations.experiments.list

Lists all experiments in a specified project and location.

HTTP request

GET https://faulttesting.googleapis.com/v1alpha/{parent=projects/*/locations/*}/experiments

The URL uses gRPC Transcoding syntax.

Path parameters

Parameters
parent

string

Required. The project and location from which to list experiments. Format: projects/{projectId}/locations/{location}.

Query parameters

Parameters
pageSize

integer

Optional. The maximum number of experiments to return. Fault Injection Testing may return fewer. If unspecified, at most 1000 will be returned. The maximum value is 1000; values above 1000 will be coerced to 1000.

pageToken

string

Optional. A page token received from a previous list call, used to retrieve the subsequent page.

When paginating, all other parameters provided to experiments.list must match the call that provided the page token.

filter

string

Optional. A filter expression to restrict the experiments returned. Example: state="INJECTED". Returns only experiments matching the expression. Follows https://google.aip.dev/160 and supports all fields.

Request body

The request body must be empty.

Response body

List experiments for a specified project.

If successful, the response body contains data with the following structure:

JSON representation
{
  "experiments": [
    {
      object (Experiment)
    }
  ],
  "nextPageToken": string,
  "unreachable": [
    string
  ]
}
Fields
experiments[]

object (Experiment)

The experiments from the specified project, ordered from newest to oldest based on creation time.

nextPageToken

string

A token, which can be sent as pageToken to retrieve the next page. If this field is omitted, there are no subsequent pages.

unreachable[]

string

Unordered list. Locations that could not be reached.

Authorization scopes

Requires the following OAuth scope:

  • https://www.googleapis.com/auth/cloud-platform

For more information, see the Authentication Overview.

IAM Permissions

Requires the following IAM permission on the parent resource:

  • faulttesting.experiments.list

For more information, see the IAM documentation.